<?php
/*
 * -----------------------------------------------------------------------------
 * Plugin Name: EStat
 * -----------------------------------------------------------------------------
 * Author     : Grum
 *   email    : grum@piwigo.org
 *   website  : http://www.grum.fr
 *
 *   << May the Little SpaceFrog be with you! >>
 *
 * -----------------------------------------------------------------------------
 * See main.inc.php for release information
 * -----------------------------------------------------------------------------
 */


if(!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

include_once('estat_root.class.inc.php');

class EStat_AIPRelease extends EStat_root
{
  public function __construct($prefixeTable, $filelocation)
  {
    parent::__construct($prefixeTable, $filelocation);
    $this->loadConfig();
    $this->initEvents();
  }

  /*
    display administration page
  */
  public function manage()
  {
    global $template;

    GPCCore::setTemplateToken();

    $template->set_filename('plugin_admin_content', dirname($this->getFileLocation())."/admin/estat_aip_release.tpl");

    $pluginInfo=array(
      'ESTAT_VERSION' => "<i>".$this->getPluginName()."</i> ".l10n('g003_version').ESTAT_VERSION,
      'PATH' => ESTAT_PATH
    );

    $template->assign('plugin', $pluginInfo);
    $template->assign('msg', sprintf(l10n('g003_gpc_not_up_to_date'),ESTAT_GPC_NEEDED, GPC_VERSION));
    $template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');
  }

} //class


?>
